- Add ACPI table override ability - Adjust mkinitrd-dracut.sh to SUSE mkinitrd: <none> : Before gives a "usage" error -> now scans /boot for kernels and builds corresponding inirtrds for them -i -k : Pass a list of kernels and initrd targets (not sure it was worth the hassle to be able to pass) -b : Boot directory to search for kernel images -d : Change root file system. Not tested whether dracut's behavior matches exactly what our mkinitrd does. -s : Dummy (should even be obsolete in latest mkinitrd) - Write caller and used parameters to syslog if mkinitrd is called. So that those can easily be fixed and checked for correctness. This should get reverted again before a bigger release. OBS-URL: https://build.opensuse.org/request/show/201877 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=56
31 lines
1011 B
Plaintext
31 lines
1011 B
Plaintext
dracut: Do not create early_cpio if no suitable microcode exist in hostonly
|
|
case
|
|
|
|
Intel microcodes only exist for very specific family/model/stepping CPUs.
|
|
If no microcode gets added, there is no need to create an empty
|
|
(only directories) cpio later that gets glued to the initrd.
|
|
|
|
This also fixes:
|
|
|
|
Index: dracut-033/dracut.sh
|
|
===================================================================
|
|
--- dracut-033.orig/dracut.sh
|
|
+++ dracut-033/dracut.sh
|
|
@@ -1311,12 +1311,15 @@ if [[ $early_microcode = yes ]]; then
|
|
dinfo "*** Constructing ${ucode_dest[$idx]} ****"
|
|
if [[ $hostonly ]]; then
|
|
_src=$(get_ucode_file)
|
|
+ if ! [[ -r $_fwdir/$_fw/$_src ]];then
|
|
+ break;
|
|
+ fi
|
|
fi
|
|
cat $_fwdir/$_fw/$_src > $_dest_dir/${ucode_dest[$idx]}
|
|
+ create_early_cpio="yes"
|
|
fi
|
|
done
|
|
done
|
|
- create_early_cpio="yes"
|
|
fi
|
|
|
|
rm -f -- "$outfile"
|